import { PageData } from "lume/core.ts";

export const title = "Sam Site 2.0";
export const layout = "layouts/head.tsx";

export default ({ children }: PageData) => (
  <div class="grid">
    <div>
      {children}
    </div>
    <div>
      <iframe
        title="Powered by Fedifeed"
        allowfullscreen
        sandbox="allow-top-navigation allow-scripts"
        width="400"
        height="500"
        src="https://fedifeed.com/api/v1/feed?user=sam&instance=https%3A%2F%2Ffroth.zone&instance_type=&theme=pleroma&size=75&header=true&replies=true&boosts=true"
      >
      </iframe>
    </div>
  </div>
);
